﻿#region Copyright Syncfusion Inc. 2001 - 2011
// Copyright Syncfusion Inc. 2001 - 2010. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System.Collections.ObjectModel;
using System.Dynamic;
using System.Collections.Generic;
using System;

namespace DynamicObjectsDemo
{
    
    public class ViewModel
    {
        private ObservableCollection<Car> list = new ObservableCollection<Car>();
        ObservableCollection<dynamic> dynamicList = new ObservableCollection<dynamic>();

        public ViewModel()
        {
            list.Add(new Car("Corolla", "Toyota", 10001));
            list.Add(new Car("Accord", "Honda", 10002));
            list.Add(new Car("MDX", "Acura", 10007));
            list.Add(new Car("ES 300", "Lexus", 10007));
            list.Add(new Car("LX 470", "Lexus", 10008));
            list.Add(new Car("Taurus", "Ford", 10001));
            list.Add(new Car("Volt", "Chevy", 10003));
            list.Add(new Car("S60", "Volvo", 10004));


            foreach (var mc in list)
            {
                IDictionary<String, object> expandoObjectDictionary = new ExpandoObject();

                expandoObjectDictionary["Model"] = mc.Model;
                expandoObjectDictionary["Manufacturer"] = mc.Manufacturer;
                expandoObjectDictionary["Price"] = mc.Price;

                dynamicList.Add(expandoObjectDictionary);
            }
        }

        public IList<dynamic> DynamicData
        {
            get
            {
                return dynamicList;
            }
        }

        public IList<Car> Data
        {
            get
            {
                return list;
            }
        }
    
    }

    
    public class Car
    {
       public Car(string name, string manufacturer, int? price)
        {
            Model = name;
            Manufacturer = manufacturer;
            Price = price;
        }
        public string Model
        {
            get;
            set;
        }

        public string Manufacturer
        {
            get;
            set;
        }

        public int? Price
        {
            get;
            set;
        }

    }
}
